/*
	File:		ASLMErrorRules.r

	Contains:	Rules that check assertions and generate error messages if necessary.

	Copyright:	 1992-1994 by Apple Computer, Inc., all rights reserved.

*/


resource 'inrl' (rReportNewerVersionError)
{
	format0
	{{
		checkAnyAssertion{{
#if GENERATING68K
			aHasLater68kASLM,
#endif
#if GENERATINGPOWERPC
			aHasLaterPPCASLM
#endif
		}},
		reportVolError 
		{
			"The selected disk named \"^0\" has a newer version of the Shared Library Manager installed."
			" Please click Switch Disk to choose a different disk, insert a floppy disk, or"
			" choose Custom Install to install over the currently installed Shared Library Manager.\n"
		}
	}};
};

#if GENERATINGPOWERPC && !GENERATING68K
	resource 'inrl' (rReportPowerPCOn68KError)
	{
		format0
		{{
			checkAllAssertions{{aPowerPCOn68KError}},
			reportVolError 
			{
				"This Installer only supports installing the PowerPC version of the Shared Library Manager,"
				" which cannot be installed onto the disk \"^0\"."
				" Please click Switch Disk to choose a different disk or insert a floppy disk.\n"
			}
		}};
	};
#endif

resource 'inrl' (rReportNoSystemError)
{
	format0
	{{
		checkAllAssertions{{aNoSystemError}},
		reportVolError
		{
			"The selected disk named \"^0\" has no installed System.  The Shared Library Manager cannot be"
			" installed on this disk.  Please click Switch Disk to choose a different disk or"
			" insert a floppy disk."
		}
	}};
};

#if GENERATING68K
	#if SYSTEM6
	
	resource 'inrl' (rReportBadSystemError)
	{
		format0
		{{
			checkAllAssertions{{aBadSystemError}},
			reportVolError 
			{
				"The selected disk named \"^0\" has System 6.0.4 or earlier installed.  The Shared Library Manager cannot be"
				" installed on this disk.  Please click Switch Disk to choose a different disk or"
				" insert a floppy disk."
			}
		}};
	};
	
	#else
	
	resource 'inrl' (rReportSystem7OnlyError)
	{
		format0
		{{
			checkAllAssertions{{aSystem7OnlyError}},
			reportVolError 
			{
				"The selected disk named \"^0\" has System 6.X installed.  Installation can only be"
				" done for System 7.0 and higher.  Please click Switch Disk to choose a different disk or"
				" insert a floppy disk."
			}
		}};
	};
	
	#endif
#endif
