/*
	File:		ASLMFileSpecs.r

	Contains:	All source and target files specifications used by
				the ASLM Installer

	Copyright:	 1994 by Apple Computer, Inc., all rights reserved.

*/

/**********************************************************************
** "Shared Library Manager" file specs
***********************************************************************/

#if GENERATING68K
	resource 'infs' (fsSrcSharedLibraryManager)
	{
		'INIT',	'OMGR',
		0x00,		/* this allows us to put newer versions on the disk */
		noSearchForFile,
		TypeCrMustMatch,
		SLMFolder"Shared Library Manager"
	};

	resource 'intf' (fsTgtSharedLibraryManager)
	{
		format0
		{
			noSearchForFile,
			TypeCrMustMatch,
			'INIT',	'OMGR',
			0,
			"special-extn:Shared Library Manager"
		};
	};
#endif

/**********************************************************************
** "Shared Library Manager PPC" file specs
***********************************************************************/

#if GENERATINGPOWERPC
	resource 'infs' (fsSrcSharedLibraryManagerPPC)
	{
		'INIT',	'OMgr',
		0x00,					/* this allows us to put newer versions on the disk */
		noSearchForFile,
		TypeCrMustMatch,
		SLMFolder"Shared Library Manager PPC"
	};

	resource 'intf' (fsTgtSharedLibraryManagerPPC)
	{
		format0
		{
			noSearchForFile,
			TypeCrMustMatch,
			'INIT',	'OMgr',
			0,
			"special-extn:Shared Library Manager PPC"
		};
	};
#endif

/**********************************************************************
** "System" file
***********************************************************************/

resource 'infs' (fsSystemFile) 
{
	'zsys',						/* File Type		*/ 
	'MACS',						/* File Creator		*/
	0x00,						/* Creation Date	*/ 
	noSearchForFile,
	TypeCrNeedNotMatch,
	"special-macs:System"		/* path name		*/
};

/**********************************************************************
** "EtherTalk Phase 2" files and other EtherTalk files.
***********************************************************************/

resource 'infs' (fsSrcEtherTalkPhase2) 
{
	'adev',						/* File Type		*/ 
	'et20',						/* File Creator		*/
	0x00,						/* Creation Date	*/ 
	noSearchForFile,
	TypeCrNeedNotMatch,
	SLMFolder"EtherTalk Phase 2"		/* path name		*/
};

resource 'infs' (fsTrgEtherTalkPhase2) 
{
	'adev',						/* File Type		*/ 
	'et20',						/* File Creator		*/
	0x00,						/* Creation Date	*/ 
	noSearchForFile,
	TypeCrNeedNotMatch,
	"special-extn:EtherTalk Phase 2"		/* path name		*/
};

resource 'infs' (fsTrgEtherTalk) 
{
	'adev',						/* File Type		*/ 
	'etlk',						/* File Creator		*/
	0x00,						/* Creation Date	*/ 
	noSearchForFile,
	TypeCrMustMatch,
	"special-macs:EtherTalk"		/* path name		*/
};

resource 'infs' (fsTrgEtherTalk2_0) 
{
	'adev',						/* File Type		*/ 
	'et20',						/* File Creator		*/
	0x00,						/* Creation Date	*/ 
	noSearchForFile,
	TypeCrMustMatch,
	"special-macs:EtherTalk2.0"		/* path name		*/
};

resource 'infs' (fsTrgEtherTalk2_1) 
{
	'adev',						/* File Type		*/ 
	'et20',						/* File Creator		*/
	0x00,						/* Creation Date	*/ 
	noSearchForFile,
	TypeCrMustMatch,
	"special-macs:EtherTalk2.1"		/* path name		*/
};

/**********************************************************************
** "ASLM Resources" file
***********************************************************************/

resource 'infs' (fsASLMResources) 
{
	'rsrc',						/* File Type		*/ 
	'RSED',						/* File Creator		*/
	0x00,						/* this allows us to put newer versions on the disk */ 
	noSearchForFile,
	TypeCRMustMatch,
	SLMFolder"ASLM Resources"	/* path name		*/
};
