/*
	File:		ASLMPackageRules.r

	Contains:	Rules to add Custom and Easy Install packages.

	Copyright:	 1994 by Apple Computer, Inc., all rights reserved.

*/


/**********************************************************************
** Easy Install rules to add the correct package depending
** on the system being run.
***********************************************************************/

resource 'inrl' (rAddEtherTalkPackage)
{
	format0
	{{
#if INTERNATIONAL
		checkAllAssertions {{isUS}},
#endif
		checkAllNonAssertions{{aHasEtherTalk}},
		AddPackages {{pAddEtherTalk}},
	}};
};

#if GENERATING68K

	resource 'inrl' (rAddSystem6Package)
	{
		format0
		{{
	#if INTERNATIONAL
			checkAllAssertions {{isUS}},
	#endif
			checkAllAssertions{{aHasSystem6}},
			AddPackages {{pASLMForSystem6}},
		}};
	};
	
	resource 'inrl' (rAddSystem7Package)
	{
		format0
		{{
	#if INTERNATIONAL
			checkAllAssertions {{isUS}},
	#endif
			checkAllAssertions{{aHasSystem7}},
			AddPackages {{pASLMForSystem7}},
		}};
	};
	
	resource 'inrl' (rAddSystemAUXPackage)
	{
		format0
		{{
	#if INTERNATIONAL
			checkAllAssertions {{isUS}},
	#endif
			checkAllAssertions{{aHasSystemAUX}},
			AddPackages {{pASLMForSystemAUX}},
		}};
	};

#endif

#if GENERATINGPOWERPC

	resource 'inrl' (rAddSystemPPCPackage)
	{
		format0
		{{
	#if INTERNATIONAL
			checkAllAssertions {{isUS}},
	#endif
			checkAllAssertions{{aHasSystemPPC}},
			AddPackages {{pASLMForSystemPPC}},
		}};
	};

#endif

/*******************************************************************************
** Custom Install rules to add the correct package depending
** on the system being run.
********************************************************************************/

resource 'inrl' (rAddEtherTalkCustomPackage)
{
	format0
	{{
#if INTERNATIONAL
		checkAllAssertions {{isUS}},
#endif
		checkAllNonAssertions{{aHasEtherTalk}},
		AddPackages {{pAddEtherTalk}},
	}};
};

#if GENERATING68K

	resource 'inrl' (rAddSystem6CustomPackage)
	{
		format0
		{{
	#if INTERNATIONAL
			checkAllAssertions {{isUS}},
	#endif
			checkAllAssertions{{aHasSystem6}},
			AddCustomItems {{pASLMForSystem6}},
		}};
	};
	
	resource 'inrl' (rAddSystem7CustomPackage)
	{
		format0
		{{
	#if INTERNATIONAL
			checkAllAssertions {{isUS}},
	#endif
			checkAllAssertions{{aHasSystem7}},
			AddCustomItems {{pASLMForSystem7}},
		}};
	};
	
	resource 'inrl' (rAddSystemAUXCustomPackage)
	{
		format0
		{{
	#if INTERNATIONAL
			checkAllAssertions {{isUS}},
	#endif
			checkAllAssertions{{aHasSystemAUX}},
			AddCustomItems {{pASLMForSystemAUX}},
		}};
	};

#endif

#if GENERATINGPOWERPC

	resource 'inrl' (rAddSystemPPCCustomPackage)
	{
		format0
		{{
	#if INTERNATIONAL
			checkAllAssertions {{isUS}},
	#endif
			checkAllAssertions{{aHasSystemPPC}},
			AddCustomItems {{pASLMForSystemPPC}},
		}};
	};

#endif
