/*
	File:		RegisteredObjectsWindow.h

	Contains:	TRegisteredObjectsWindow interface.  A window that displays a list
				of TRegisteredObjects.

	Copyright:	 1991-1994 by Apple Computer, Inc., all rights reserved.

*/


#ifndef __REGISTEREDOBJECTSWINDOW__
#define __REGISTEREDOBJECTSWINDOW__

#ifndef __DOCUMENT__
#include "Document.h"
#endif

class TInspector;

const short kWindowHStart = 5;
const short kWindowVStart = 43;
const short kWindowHSizeStart = 400;
const short kWindowVSizeStart = 250;
const short kWindowHResetStagger = 20;
const short kWindowHStagger = 16;
const short kWindowVStagger = 16;

class TList;
class TRegisteredObjectsWindow;
class TRegisteredObjects;
struct EventRecord;

const int kButtonSpace = 0;	// space in window for the buttons on left side.
							// keep this at 0 until we add buttons


/**********************************************************************
** class TRegisteredObjectsWindow
***********************************************************************/

#define kTRegisteredObjectsWindowID "appl:insp$TRegisteredObjectsWindow,1.2"

class TRegisteredObjectsWindow : public TDocument
{
public:
						TRegisteredObjectsWindow();
						TRegisteredObjectsWindow(short resID, TRegisteredObjects*,
												TInspector*);
	virtual				~_CDECL TRegisteredObjectsWindow();
	
	virtual void		DoGrow(EventRecord* theEvent);
	virtual	void		DoContent(EventRecord* theEvent);
	virtual	void		DoActivate(Boolean becomingActive);
	virtual	void		DoUpdate();

	// New Methods

	virtual	void		DrawWindow();
	virtual	void		UpdateList();
	virtual	Rect		GetListRect();
	virtual	void		DrawGrowIcon();
	virtual	void		MoveWindow(short hGlobal, short vGlobal);
	virtual	void		SizeWindow(short w, short h);
	virtual	void		HomeWindow();
	virtual	void		GetWindowSize(short &w, short &h);
	virtual	void		GetWindowLocation(short &hGlobal, short &vGlobal);
	virtual	void		SaveWindowLocation();
	virtual	Boolean		RestoreWindowLocation();

private:
			void		InitRegisteredObjectsWindow(TRegisteredObjects*,
													TInspector*);

private:
		TList*				fList;			// the List Manager list
		TRegisteredObjects*	fRegisteredObjects;
		TInspector*			fInspector;
};

#endif
