/*
	File:		SimpleCommon.r

	Contains:	Resource for the SimpleProgram.

	Copyright:	 1991-1994 by Apple Computer, Inc., all rights reserved.

*/


#include "SimpleCommon.h"

/* this ALRT and DITL are used as an error screen */
resource 'ALRT' (rUserAlert, purgeable) {
	{40, 20, 150, 260},
	rUserAlert,
	{ /* array: 4 elements */
		/* [1] */
		OK, visible, silent,
		/* [2] */
		OK, visible, silent,
		/* [3] */
		OK, visible, silent,
		/* [4] */
		OK, visible, silent
	}
};

resource 'DITL' (rUserAlert, purgeable) {
	{ /* array DITLarray: 3 elements */
		/* [1] */
		{80, 150, 100, 230},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{10, 60, 60, 230},
		StaticText {
			disabled,
			"Error. ^0."
		},
		/* [3] */
		{8, 8, 40, 40},
		Icon {
			disabled,
			2
		}
	}
};


resource 'STR#' (kInspectorMainErrStrings, purgeable) {
	{
	"Out of Memory!!";
	}
};

/* Resources for the SimpleProgram NV routine */

/* we use an MBAR resource to conveniently load all the menus */

resource 'MBAR' (rMenuBar) {
	{ mApple, mFile, mEdit};
};

resource 'MENU' (mApple) {
	mApple, textMenuProc,
	0b1111111111111111111111111111101,	/* disable dashed line, enable About and DAs */
	enabled, apple,
	{
		"About Inspector",
			noicon, nokey, nomark, plain;
		"-",
			noicon, nokey, nomark, plain
	}
};

resource 'MENU' (mFile) {
	mFile, textMenuProc,
	0b0000000000000000000000000001000,	/* enable Quit only, program enables others */
	enabled, "File",
	{
		"Load LibraryManager",
			noicon, "L", nomark, plain;
		"Unload LibraryManager",
			noicon, "U", nomark, plain;
		"Goto Real Program",
			noicon, "G", nomark, plain;
		"Quit",
			noicon, "Q", nomark, plain
	}
};


resource 'MENU' (mEdit) {
	mEdit, textMenuProc,
	0b0000000000000000000000000000000,	/* disable everything, program does the enabling */
	enabled, "Edit",
	 {
		"Undo",
			noicon, "Z", nomark, plain;
		"-",
			noicon, nokey, nomark, plain;
		"Cut",
			noicon, "X", nomark, plain;
		"Copy",
			noicon, "C", nomark, plain;
		"Paste",
			noicon, "V", nomark, plain;
		"Clear",
			noicon, nokey, nomark, plain
	}
};


/* this ALRT and DITL are used as an About screen */

resource 'ALRT' (rAboutAlert, purgeable) {
	{40, 20, 160, 330 }, rAboutAlert, {
		OK, visible, silent;
		OK, visible, silent;
		OK, visible, silent;
		OK, visible, silent
	};
};

resource 'DITL' (rAboutAlert, purgeable) {
	{ /* array DITLarray: 5 elements */
		/* [1] */
		{88, 224, 108, 304},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{8, 8, 24, 304 },
		StaticText {
			disabled,
			"LibraryManager Inspector Application"
		},
		/* [3] */
		{32, 8, 48, 237},
		StaticText {
			disabled,
			"Copyright  1991-1992 Apple Computer"
		},
		/* [4] */
		{56, 8, 72, 136},
		StaticText {
			disabled,
			"Brought to you by:"
		},
		/* [5] */
		{80, 24, 112, 220},
		StaticText {
			disabled,
			"The SLM Team (all 3 of us)"
		}
	}
};
