/*
	File:		TestLibrarySymbols.cp

	Contains:	The purpose of this file is so we can set the newobject flag for a
				class even when we are building with -sym off, which is required to
				get optimization with PPCC. This file includes the header files
				for any class that we set the newobject flag for. It is always compiled
				with -sym on,alltypes and has no affect on the binaries. It just
				provides needed symbol information to LibraryBuilderPPC.

	Copyright:	 1994 by Apple Computer, Inc., all rights reserved.

*/

#include "TestLinkedList.h"
#include "TestAllocLinkedList.h"
#include "TestPriorityList.h"
#include "TestTimeScheduler.h"
#include "TestTaskScheduler.h"
#include "TestArbitrator.h"
#include "TestTimeStamp.h"
#include "TestRandom.h"
#include "TestHashList.h"
#include "TestStandardPool.h"
#include "TestFSet.h"
#include "TestNoVTable.h"
#include "TestTimings.h"
#include "TestExceptions.h"
#include "TestMisc.h"

//
//	Since PPCC does not have -sym on,nolines, we need to compile a file
//	separately with -sym on in order to get symbols for the newobject flag.
//	We can't compile the implementation itself with -sym on because this
//	will force optimizations to be turned off.
//
//	Since MRC will not produce symbolic records for unreferenced classes
//	(and neither will PPCC unless you specify -sym on,alltypes),
//	we need to explicitly reference them in this routine that will just
//	end up getting deadstripped.
//
//	%%% If MRC ends up supporting -sym on,alltypes, then we can get rid of this.
//

void foo()
{
	TTestLinkedList* t1 		= new TTestLinkedList();
	TTestAllocLinkedList* t2 	= new TTestAllocLinkedList();
	TTestPriorityList* t3 		= new TTestPriorityList();
	TTestTimeScheduler* t4		= new TTestTimeScheduler();
	TTestTaskScheduler* t5 		= new TTestTaskScheduler();
	TTestArbitrator* t6 		= new TTestArbitrator();
	TTestTimeStamp* t7 			= new TTestTimeStamp();
	TTestRandom* t8 			= new TTestRandom();
	TTestHashList* t9 			= new TTestHashList();
	TTestStandardPool* t10 		= new TTestStandardPool();
	TTestFSet* t11				= new TTestFSet();
	TTestNoVTable* t12			= new TTestNoVTable();
	TTestTimings* t13 			= new TTestTimings();
	TTestExceptions* t14 		= new TTestExceptions();
	TTestMisc* t15 				= new TTestMisc();
	ClientData* t16 			= new ClientData;
}
